[138a:0007] VFS451 fingerprint reader not recognized

Bug #745505 reported by Stjepan Brbot on 2011-03-30
246
This bug affects 42 people
Affects Status Importance Assigned to Milestone
Fingerprint GUI
Undecided
Unassigned
NULL Project
Undecided
Unassigned
libfprint
Unknown
Wishlist
libfprint (Ubuntu)
Wishlist
Unassigned

Bug Description

Validity Inc. fingerprint reader model vfs451 (id=138a:0007) does not work under Ubuntu.

$ uname -a
Linux CyberElite 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 18:42:20 UTC 2011 x86_64 GNU/Linux

$ cat /proc/version_signature
Ubuntu 2.6.35-28.50-generic 2.6.35.11

dmesg and lspci log files are attached

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jesus 2681 F.... pulseaudio
 /dev/snd/controlC0: jesus 2681 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd7520000 irq 60'
   Mixer name : 'IDT 92HD75B3X5'
   Components : 'HDA:111d7603,103c1521,00100202 HDA:11c11040,103c3066,00100200'
   Controls : 14
   Simple ctrls : 9
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xd3000000 irq 16'
   Mixer name : 'Nvidia GPU 0a HDMI/DP'
   Components : 'HDA:10de000a,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
DistroRelease: Ubuntu 11.10
HibernationDevice: RESUME=UUID=4b08d392-615a-4e2a-b5ab-a3867a52c97d
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Hewlett-Packard HP EliteBook 8540w
NonfreeKernelModules: nvidia
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   product info: "RICOH", "Bay8Controller", "", ""
   manfid: 0x0000, 0x0000
   function: 254 (unknown)
PccardctlStatus:
 Socket 0:
   3.3V 16-bit PC Card
   Subdevice 0 (function 0) bound to driver "pata_pcmcia"
ProcEnviron:
 PATH=(custom, no user)
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-16-generic root=UUID=14bf614b-b608-4d79-a857-cb7efdbabbfd ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-16.29-generic 3.0.20
PulseSinks:
 Error: command ['pacmd', 'list-sinks'] failed with exit code 1: Home directory /home/jesus not ours.
 No PulseAudio daemon running, or not running as session daemon.
PulseSources:
 Error: command ['pacmd', 'list-sources'] failed with exit code 1: Home directory /home/jesus not ours.
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-16-generic N/A
 linux-backports-modules-3.0.0-16-generic N/A
 linux-firmware 1.60
StagingDrivers: mei
Tags: oneiric staging
Uname: Linux 3.0.0-16-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 03/09/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68CVD Ver. F.0F
dmi.board.name: 1521
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 32.33
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68CVDVer.F.0F:bd03/09/2011:svnHewlett-Packard:pnHPEliteBook8540w:pvr:rvnHewlett-Packard:rn1521:rvrKBCVersion32.33:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 8540w
dmi.sys.vendor: Hewlett-Packard

Stjepan Brbot (stjepan-brbot) wrote :
tags: added: fingerprint reader
removed: fingerprinter
Stjepan Brbot (stjepan-brbot) wrote :
carlosv (cvedovatti) wrote :

Hi guys, http://www.validityinc.com/post.aspx?id=268

I found what it seems like a driver for the VFS451 VFS471 in rpm for Suse, check it out. Maybe it could work on Ubuntu!

http://www.validityinc.com/post.aspx?id=268

I attached as well. Try if it work or maybe someone could use to create a patch.

Good luck!

mstfa cmly (mstfacmly) wrote :

I tried using alien to convert the rpm to deb, but as it was built for i386 (32-bit), I am currently unable to build it for i686 (64-bit).

I'll look into seeing if there's a way around it.

mstfa cmly (mstfacmly) wrote :

I was able to build a deb package, but I can't seem to make good use of it. Every attempt at using the validity-sensor command fails.

Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
tulek (torben-mohrfeldt) wrote :

Hello,

Although my profile is in IT-Terms very old, my experience with Launchpad tends toward NULL.

The above mentioned Bug/Feature request affects me too.

If I, as a layman, can help in any way let me know it.

VFS451 is not recognished by the library.

Ubuntu bug:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/745505

*** This bug has been marked as a duplicate of bug 37574 ***

Sorry, didn't found it by searching

It is not the same peripherial

(In reply to comment #3)
> It is not the same peripherial

My mistake, started with "VFS", and filed at about the same time, my brain didn't parse it all.

Javier Domingo (txomon) wrote :

I just created a bug in libfprint's bug tracker, so that it is referenced here,

https://bugs.freedesktop.org/show_bug.cgi?id=37578

Changed in libfprint (Ubuntu):
status: New → Confirmed
Changed in linux:
importance: Unknown → Undecided
status: Unknown → New

Stjepan Brbot, thank you for reporting this and helping make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 745505

summary: - [138a:0007] fingerprint reader not recognized
+ [138a:0007] VFS451 fingerprint reader not recognized
tags: added: hw-specific
removed: driver fingerprint reader validity vfs451
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jesus 2681 F.... pulseaudio
 /dev/snd/controlC0: jesus 2681 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd7520000 irq 60'
   Mixer name : 'IDT 92HD75B3X5'
   Components : 'HDA:111d7603,103c1521,00100202 HDA:11c11040,103c3066,00100200'
   Controls : 14
   Simple ctrls : 9
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xd3000000 irq 16'
   Mixer name : 'Nvidia GPU 0a HDMI/DP'
   Components : 'HDA:10de000a,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
DistroRelease: Ubuntu 11.10
HibernationDevice: RESUME=UUID=4b08d392-615a-4e2a-b5ab-a3867a52c97d
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Hewlett-Packard HP EliteBook 8540w
NonfreeKernelModules: nvidia
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   product info: "RICOH", "Bay8Controller", "", ""
   manfid: 0x0000, 0x0000
   function: 254 (unknown)
PccardctlStatus:
 Socket 0:
   3.3V 16-bit PC Card
   Subdevice 0 (function 0) bound to driver "pata_pcmcia"
ProcEnviron:
 PATH=(custom, no user)
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-16-generic root=UUID=14bf614b-b608-4d79-a857-cb7efdbabbfd ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-16.29-generic 3.0.20
PulseSinks:
 Error: command ['pacmd', 'list-sinks'] failed with exit code 1: Home directory /home/jesus not ours.
 No PulseAudio daemon running, or not running as session daemon.
PulseSources:
 Error: command ['pacmd', 'list-sources'] failed with exit code 1: Home directory /home/jesus not ours.
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-16-generic N/A
 linux-backports-modules-3.0.0-16-generic N/A
 linux-firmware 1.60
StagingDrivers: mei
Tags: oneiric staging
Uname: Linux 3.0.0-16-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 03/09/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68CVD Ver. F.0F
dmi.board.name: 1521
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 32.33
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68CVDVer.F.0F:bd03/09/2011:svnHewlett-Packard:pnHPEliteBook8540w:pvr:rvnHewlett-Packard:rn1521:rvrKBCVersion32.33:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 8540w
dmi.sys.vendor: Hewlett-Packard

tags: added: apport-collected oneiric staging

apport information

apport information

apport information

apport information

chusaco (chusaco) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

chusaco (chusaco) wrote : Lspci.txt

apport information

chusaco (chusaco) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

chusaco (chusaco) wrote : RfKill.txt

apport information

chusaco (chusaco) wrote : UdevDb.txt

apport information

apport information

apport information

Javier Domingo (txomon) wrote :

If more information is needed, I can also make an apport collect, just tell me.

description: updated

The HP EliteBook 8540w is not on the fprint supported website:
http://www.freedesktop.org/wiki/Software/fprint/libfprint/Supported%20devices

and the close Validity VFS101 id=138a:0001 is unsupported:
http://www.freedesktop.org/wiki/Software/fprint/libfprint/Unsupported%20devices

This issue resides with the libfprint package.

no longer affects: linux (Ubuntu)
affects: linux → null
Changed in null:
status: New → Invalid
PauLoX (paulox) wrote :

The page linked wasn't updated.

libfprint added support for Validity VFS101 one year ago:
http://cgit.freedesktop.org/libfprint/libfprint/commit/?id=d2e957683f5b9bd4781e2216c259e9b10fa3508d

Javier Domingo (txomon) wrote :

Bug for VFS101 is https://bugs.launchpad.net/bugs/285089 with a patch submitted 1 year ago

Javier Domingo (txomon) wrote :

So what comes now? There has been in the same state for 2 weeks now.

Whoopie (whoopie79) on 2012-04-15
Changed in fingerprint-gui:
status: New → Invalid

I can confirm this bug.

Bus 006 Device 059: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 255 Vendor Specific Class
  bDeviceSubClass 19
  bDeviceProtocol 255
  bMaxPacketSize0 8
  idVendor 0x138a Validity Sensors, Inc.
  idProduct 0x0007 VFS451 Fingerprint Reader
  bcdDevice 0.72
  iManufacturer 0
  iProduct 0
  iSerial 1 0020a0d79688
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 46
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 4
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 0
      bInterfaceProtocol 0
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x01 EP 1 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 4
Device Status: 0x0000
  (Bus Powered)

I tested with libfprint 0.4.0, normal and with vfs301 patch from Andree

https://github.com/andree182/vfs301/tarball/master

I added to that driver the 138a:0007, the fprint_demo detects it but does not work.

medisoft (mario-mariomedina) wrote :

I have a ProBook 6455b that has the same hardware.

Bus 006 Device 059: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader

I tested with the drivers of vfs101 and vfs300/vfs301, changing the usb ids from 138a:000x to 138a:0007. The device is "detected" but does not work, so tweaking the usb ids seems not to work

carlosv (cvedovatti) wrote :

No, the driver for the VFS451 is different than VFS100/VFS101 and VFS300/VFS301. I would rather try to tweak the Linux SUSE driver available in RPM and try to make it work in Ubuntu. But I believe that some programming is needed. The "alien" package transform seems doesn’t work.

Confirmed bug on Hp 2540p notebook.
Bus 001 Device 005: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader

Validity Inc. fingerprint reader model vfs451 (id=138a:0007) does not work under Ubuntu 11.10
Laptop : HP ProBook 6450b

Bus 001 Device 004: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingeprint Reader

Converted Linux SUSE driver available in RPM.

Installed the deb package in Ubuntu.

Tried to make it work. It fails with Request Failed

Press <Enter> to continue...

when I give the command validity-sensor -doinit

Changed in libfprint (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Wishlist

Any update on this?

Changed in libfprint:
importance: Unknown → Medium
status: Unknown → Confirmed
Andrey Kozhokaru (nk-andrey) wrote :

Bug is confirmed on HP ProBook 6560b

$ uname -a
Linux korjik 3.2.0-29-generic #46-Ubuntu SMP Fri Jul 27 17:03:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

$ lsusb |grep Val
Bus 001 Device 003: ID 138a:003c Validity Sensors, Inc. VFS471 Fingerprint Reader

libfprint0_0.4.0-4-gdfff16f-2_amd64.deb

Giovanni (cerrigno) wrote :

Confirmed on HP ProBook 4520s

Linux laptop 3.2.0-31-generic #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Bus 001 Device 003: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader

Is it available as a standalone USB device? Any chance to get logs captured by USBSniff under windows? See http://www.freedesktop.org/wiki/Software/fprint/libfprint/USB%20sniffing

Andi (agrommek) wrote :

confirmed on HP ELiteBook 8440p

Bus 001 Device 004: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader
Linux linux 3.2.0-32-generic #51-Ubuntu SMP Wed Sep 26 21:33:09 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Hope this gets fixed soon!

If needed, I can provide usb sniffs about it.

(In reply to comment #8)
> If needed, I can provide usb sniffs about it.

It would be nice

Created attachment 70605
capture trace with usblyzer

I have added a trace, if it is not valid or you need more of them, please tell me as fast as you can, because I am doing it with USBlyzer, which is free for 30 days...

Hope it helps, looking for fast ACK :D

Please capture at least 3 sniffs with similar conditions, i.e. start capture on _clean_ boot, do capture of same event. Need them to analyze what part of traffic changes

Dear Sender,

I will be out of office till 3rd Dec and will have very limited access to my emails. For urge matters pls email to;

<email address hidden>

For "very" urgent matters pls call me fm my mobile; +90 533 502 3090

Regards,
Mucahid Zeyrek

Priit Pihus (ppihus) wrote :

Any news with this?

Marcin Szałowicz (lolek) wrote :

bump, any news regarding this device driver ?

Download full text (4.2 KiB)

I am so sorry, I am currently unable to provide traces as specified. If
anyone reading could, I would be grateful.

I hope be able to have time to do the traces in April but can't promise
anything yet.
El 06/02/2013 23:05, "mad_man" <email address hidden> escribió:

> bump, any news regarding this device driver ?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/745505
>
> Title:
> [138a:0007] VFS451 fingerprint reader not recognized
>
> Status in Fingerprint GUI:
> Invalid
> Status in libfprint:
> Confirmed
> Status in NULL Project:
> Invalid
> Status in “libfprint” package in Ubuntu:
> Triaged
>
> Bug description:
> Validity Inc. fingerprint reader model vfs451 (id=138a:0007) does not
> work under Ubuntu.
>
> $ uname -a
> Linux CyberElite 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 18:42:20
> UTC 2011 x86_64 GNU/Linux
>
> $ cat /proc/version_signature
> Ubuntu 2.6.35-28.50-generic 2.6.35.11
>
> dmesg and lspci log files are attached
>
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.23-0ubuntu4
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: jesus 2681 F.... pulseaudio
> /dev/snd/controlC0: jesus 2681 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xd7520000 irq 60'
> Mixer name : 'IDT 92HD75B3X5'
> Components : 'HDA:111d7603,103c1521,00100202
> HDA:11c11040,103c3066,00100200'
> Controls : 14
> Simple ctrls : 9
> Card1.Amixer.info:
> Card hw:1 'NVidia'/'HDA NVidia at 0xd3000000 irq 16'
> Mixer name : 'Nvidia GPU 0a HDMI/DP'
> Components : 'HDA:10de000a,10de0101,00100100'
> Controls : 16
> Simple ctrls : 4
> DistroRelease: Ubuntu 11.10
> HibernationDevice: RESUME=UUID=4b08d392-615a-4e2a-b5ab-a3867a52c97d
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> MachineType: Hewlett-Packard HP EliteBook 8540w
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> PccardctlIdent:
> Socket 0:
> product info: "RICOH", "Bay8Controller", "", ""
> manfid: 0x0000, 0x0000
> function: 254 (unknown)
> PccardctlStatus:
> Socket 0:
> 3.3V 16-bit PC Card
> Subdevice 0 (function 0) bound to driver "pata_pcmcia"
> ProcEnviron:
> PATH=(custom, no user)
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-16-generic
> root=UUID=14bf614b-b608-4d79-a857-cb7efdbabbfd ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.0.0-16.29-generic 3.0.20
> PulseSinks:
> Error: command ['pacmd', 'list-sinks'] failed with exit code 1: Home
> directory /home/jesus not ours.
> No PulseAudio daemon running, or not running as session daemon.
> PulseSources:
> Error: command ['pacmd', 'list-sources'] failed with exit code 1: Home
> directory /home/jesus not ours....

Read more...

HENRY Florian (bientotlaferme) wrote :

I confirm this bug still exist on HP proBook 5320m. Ubuntu 12.10

Javier Domingo (txomon) wrote :
Download full text (4.3 KiB)

I just realized this is the ubuntu bug. The developer is not looking at
this one. The main one, is
https://bugs.launchpad.net/fingerprint-gui/+bug/745505 .

anarsoul is the maintainer of the libfprint. If someone has windows, please
provide sniffs. I used USBlyzer http://www.usblyzer.com/download.htm in
trial for this.

Javier Domingo

2013/2/7 HENRY Florian <email address hidden>

> I confirm this bug still exist on HP proBook 5320m. Ubuntu 12.10
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/745505
>
> Title:
> [138a:0007] VFS451 fingerprint reader not recognized
>
> Status in Fingerprint GUI:
> Invalid
> Status in libfprint:
> Confirmed
> Status in NULL Project:
> Invalid
> Status in “libfprint” package in Ubuntu:
> Triaged
>
> Bug description:
> Validity Inc. fingerprint reader model vfs451 (id=138a:0007) does not
> work under Ubuntu.
>
> $ uname -a
> Linux CyberElite 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 18:42:20
> UTC 2011 x86_64 GNU/Linux
>
> $ cat /proc/version_signature
> Ubuntu 2.6.35-28.50-generic 2.6.35.11
>
> dmesg and lspci log files are attached
>
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.23-0ubuntu4
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: jesus 2681 F.... pulseaudio
> /dev/snd/controlC0: jesus 2681 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xd7520000 irq 60'
> Mixer name : 'IDT 92HD75B3X5'
> Components : 'HDA:111d7603,103c1521,00100202
> HDA:11c11040,103c3066,00100200'
> Controls : 14
> Simple ctrls : 9
> Card1.Amixer.info:
> Card hw:1 'NVidia'/'HDA NVidia at 0xd3000000 irq 16'
> Mixer name : 'Nvidia GPU 0a HDMI/DP'
> Components : 'HDA:10de000a,10de0101,00100100'
> Controls : 16
> Simple ctrls : 4
> DistroRelease: Ubuntu 11.10
> HibernationDevice: RESUME=UUID=4b08d392-615a-4e2a-b5ab-a3867a52c97d
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> MachineType: Hewlett-Packard HP EliteBook 8540w
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> PccardctlIdent:
> Socket 0:
> product info: "RICOH", "Bay8Controller", "", ""
> manfid: 0x0000, 0x0000
> function: 254 (unknown)
> PccardctlStatus:
> Socket 0:
> 3.3V 16-bit PC Card
> Subdevice 0 (function 0) bound to driver "pata_pcmcia"
> ProcEnviron:
> PATH=(custom, no user)
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-16-generic
> root=UUID=14bf614b-b608-4d79-a857-cb7efdbabbfd ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.0.0-16.29-generic 3.0.20
> PulseSinks:
> Error: command ['pacmd', 'list-sinks'] failed with exit code 1: Home
> directory /home/jesus not ours.
> No PulseAudio daemon running, or not running...

Read more...

HENRY Florian (bientotlaferme) wrote :

I provide the sniff done with UBLlizer

Download full text (4.4 KiB)

anarsoul, if you check the ubuntu bug, there are many people available with
traces.

A direct link to a trace made up with USBlyzer from Henry Florian
https://bugs.launchpad.net/fingerprint-gui/+bug/745505/+attachment/3518935/+files/sniff.ulz

Javier Domingo

2012/11/29 Mucahid Zeyrek <email address hidden>

> Dear Sender,
>
> I will be out of office till 3rd Dec and will have very limited access
> to my emails. For urge matters pls email to;
>
> <email address hidden>
>
> For "very" urgent matters pls call me fm my mobile; +90 533 502 3090
>
> Regards,
> Mucahid Zeyrek
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/745505
>
> Title:
> [138a:0007] VFS451 fingerprint reader not recognized
>
> Status in Fingerprint GUI:
> Invalid
> Status in libfprint:
> Confirmed
> Status in NULL Project:
> Invalid
> Status in “libfprint” package in Ubuntu:
> Triaged
>
> Bug description:
> Validity Inc. fingerprint reader model vfs451 (id=138a:0007) does not
> work under Ubuntu.
>
> $ uname -a
> Linux CyberElite 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 18:42:20
> UTC 2011 x86_64 GNU/Linux
>
> $ cat /proc/version_signature
> Ubuntu 2.6.35-28.50-generic 2.6.35.11
>
> dmesg and lspci log files are attached
>
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.23-0ubuntu4
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: jesus 2681 F.... pulseaudio
> /dev/snd/controlC0: jesus 2681 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xd7520000 irq 60'
> Mixer name : 'IDT 92HD75B3X5'
> Components : 'HDA:111d7603,103c1521,00100202
> HDA:11c11040,103c3066,00100200'
> Controls : 14
> Simple ctrls : 9
> Card1.Amixer.info:
> Card hw:1 'NVidia'/'HDA NVidia at 0xd3000000 irq 16'
> Mixer name : 'Nvidia GPU 0a HDMI/DP'
> Components : 'HDA:10de000a,10de0101,00100100'
> Controls : 16
> Simple ctrls : 4
> DistroRelease: Ubuntu 11.10
> HibernationDevice: RESUME=UUID=4b08d392-615a-4e2a-b5ab-a3867a52c97d
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> MachineType: Hewlett-Packard HP EliteBook 8540w
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> PccardctlIdent:
> Socket 0:
> product info: "RICOH", "Bay8Controller", "", ""
> manfid: 0x0000, 0x0000
> function: 254 (unknown)
> PccardctlStatus:
> Socket 0:
> 3.3V 16-bit PC Card
> Subdevice 0 (function 0) bound to driver "pata_pcmcia"
> ProcEnviron:
> PATH=(custom, no user)
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-16-generic
> root=UUID=14bf614b-b608-4d79-a857-cb7efdbabbfd ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.0.0-16.29-generic 3.0.20
> PulseSinks:
> Error: command ['pacmd', 'list-sin...

Read more...

freelancer (freelancer) wrote :

Any news?

Giovanni (cerrigno) wrote :

News?

Zhihao Yuan (zyuan) wrote :

After two and half years...

I redirect you the response of fprint's dev.

Cheers,

Javier Domingo

---------- Forwarded message ----------
From: Vasily Khoruzhick <email address hidden>
Date: 2013/8/29
Subject: Re: [fprint] VFS 451
To: Javier Domingo <email address hidden>
Cc: fprint <email address hidden>

Hi Javier,

could you redirect them to fd.o bugzilla?

Anyway, I really doubt that I can do anything without hardware at the hand,
but I can guide someone who's willing to develop
a driver and has vfs451 reader.

Regards
Vasily

On Thu, Aug 29, 2013 at 1:47 PM, Javier Domingo <email address hidden> wrote:

> Hi,
>
> Is there any new about VFS451 reader? There is an ubuntu bug about this
> fingerprint, with people willing to give more traces.
>
> Cheers,
>
> Javier Domingo
>
> https://bugs.launchpad.net/fingerprint-gui/+bug/745505
>
>
> _______________________________________________
> fprint mailing list
> <email address hidden>
> http://lists.freedesktop.org/mailman/listinfo/fprint
>
>

Hi, I own a device with this reader and would like to help to get it supported. I am not a developer, but capable of entering console commands, testing an output, modifying a config file, compiling in a kernel module. I could also create a clean account that a developer could tunnel into if that helps. Let me know if i can help.

(In reply to comment #13)
> Hi, I own a device with this reader and would like to help to get it
> supported. I am not a developer, but capable of entering console commands,
> testing an output, modifying a config file, compiling in a kernel module. I
> could also create a clean account that a developer could tunnel into if that
> helps. Let me know if i can help.

Hi Andreas,

As I already said, it's close to impossible to develop a driver without device available at hands. But I can guide someone who want to develop driver for libfprint.

If you want, I can try to help you. I have the device.

As I said before, in order to get this fixed, either the developer would
need to have physically the device, or someone with development skills
should reverse engineer how the device works, document it, and send it to
the author.

Cheers,

Javier Domingo Cansino

I currently have a VFS [Validity Sensor] at home, with an HP Probook 4530s, if you help me on how to develop the driver for libfprint i'll gladly do it.
Some of my background is developing for Opensuse... im familiar with C, Java, Bash and Python.

If anyone can help!, i'll gladly get my hands on it.

chobot (xsobotkaj) wrote :

Confirmed on HP ProBook 6550b

$ uname -a
Linux 3.2.0-60-generic #91-Ubuntu SMP Wed Feb 19 03:54:44 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

$ lsusb | grep VFS
Bus 001 Device 003: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader

I'm also able to help, if it is possible ... Please let me know.

Same here, elitebook 8440p
Bus 001 Device 004: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader

(In reply to Vasily Khoruzhick from comment #14)
> (In reply to comment #13)
> > Hi, I own a device with this reader and would like to help to get it
> > supported. I am not a developer, but capable of entering console commands,
> > testing an output, modifying a config file, compiling in a kernel module. I
> > could also create a clean account that a developer could tunnel into if that
> > helps. Let me know if i can help.
>
> Hi Andreas,
>
> As I already said, it's close to impossible to develop a driver without
> device available at hands. But I can guide someone who want to develop
> driver for libfprint.

Roughly how much effort would it take to make this driver?

Created attachment 121731
attachment-10894-0.html

Dear Sender / Colleague,

You will receive this Out of Office notification only once.

I will be out of office between 15/FEB - 18/FEB due to biz travel and will have limited access to my emails. There might be some delays for my replies. Resume to work on 19/FEB.

For "very" urgent matters pls call / text me fm my mobile

B.Rgds,
Mucahid Zeyrek
+90 533 5023090 (GMT +3)

(In reply to ncdehnel from comment #16)
> Roughly how much effort would it take to make this driver?

Depends. If protocol is not encrypted and device doesn't require any fancy handshake, it takes 2-3 days for me.

I have a laptop with one of these devices and am thinking about either volunteering for instruction or mailing it to you for you to do it. I assume reverse engineering the device won't require destructive modification of it?

(In reply to ncdehnel from comment #19)
> I have a laptop with one of these devices and am thinking about either
> volunteering for instruction or mailing it to you for you to do it. I assume
> reverse engineering the device won't require destructive modification of it?

meant to reply to

(In reply to Vasily Khoruzhick from comment #18)
> (In reply to ncdehnel from comment #16)
> > Roughly how much effort would it take to make this driver?
>
> Depends. If protocol is not encrypted and device doesn't require any fancy
> handshake, it takes 2-3 days for me.

(In reply to ncdehnel from comment #19)
> I have a laptop with one of these devices and am thinking about either
> volunteering for instruction or mailing it to you for you to do it. I assume
> reverse engineering the device won't require destructive modification of it?

Usually I use VM with Windows in it and Linux host with wireshark to capture USB traffic. So it doesn't require any hw modifications at all.

tothsoft@gmail.com (tothsoft) wrote :

It is going !!!!!!!! I did it with propretiare binare files under ubuntu 16.04:

https://mega.nz/#!J0FDDZBa!33t8z9wdZQ3OGfQ8VvEC-H5tp6pWgxg5LyN0klnOYaE

Enjoy, .. and somebody please doing something whole opensource from this, thx !!!!

tothsoft@gmail.com (tothsoft) wrote :

and it is going successful with Fingerprint GUI also :D

Nice Christmas , guys !

<email address hidden> (tothsoft), please post any patches to GitHub, or to Launchpad, as your current link is considered suspicious.

tothsoft@gmail.com (tothsoft) wrote :

i am only user, not developer, i dont know use github or launchpad, .... sorry no time, and really i dont know with this work.

<email address hidden> (tothsoft), Launchpad.net is the platform you are using to communicate to me now with, so I'm not sure how you don't know how to use it. Also, the time it takes to attach this supposed WORKAROUND to this report is less time then making a comment, so I'm also not sure how you don't have 2 seconds of time.

khaled nabawy (khalednabawy) wrote :

any update now.
till now no fix for fingerprint

Gui Gon Se (guigonse) wrote :
Gui Gon Se (guigonse) wrote :

Take care as Tothsoft's solutions hasn't been proved to be honest... But if it was needed to be checked, here it is. I'm not a programmer, so I can't verify it; I'll wait till your (wise men) decision approves it. Regards, and congrats for the job.

roberth (robert-hanson1) wrote :

Has anyone checked this?
downloaded the file and checked it. no known detectable virus issues with the software.
Was wondering if anyone has looked into it further or verified this is a legitimate clean download.

I have one of these fingerprint readers.

conor@Lappy:~$ lsusb | grep Validity
Bus 001 Device 004: ID 138a:0007 Validity Sensors, Inc. VFS451 Fingerprint Reader

In an HP Elitebook 8540w.

I have never developed drivers before, but If USB captures would help in any way I can provide them.

What conditions would need to be sniffed?

Created attachment 134944
attachment-26161-0.html


Dear Sender,

You will receive this Out of Office notification only once.

I will be out of office till 6th Nov due business travels, I will have very very limited access to my emails therefore there might be some delays for my replies.

For "very" urgent matters pls call / text me fm my mobile

B.Rgds,
Mucahid Zeyrek
+90 533 5023090 (GMT +1)

Created attachment 139761
attachment-11812-0.html

Dear Sender,

You will receive this Out of Office notification only once !!!

I'm no longer working for DPDHL as of 13th Apr 2018.

For EMTO related questions/requests please contact with

<email address hidden>

For any other request, incidents, IT Projects, problems and IT support pls contact with

<email address hidden>

For escalations <email address hidden>

Best Regards,
<email address hidden>

Best Regards,
Mucahid Zeyrek

Changed in libfprint:
importance: Medium → Wishlist

-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/libfprint/libfprint/issues/69.

Changed in libfprint:
status: Confirmed → Unknown
To post a comment you must log in.